Skip to main content
`Ctrl`+`K`

# PEPMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPMonitorSetFromOptions(PEP pep,const char opt[],const char name[],void *ctx,PetscBool trackall)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- opt - the command line option for this monitor

- name - the monitor type one is seeking

- ctx - an optional user context for the monitor, or `NULL`

- trackall - whether this monitor tracks all eigenvalues or not

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPMonitorSet()`, `PEPSetTrackAll()`

## Level

developer

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages